> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/reflexer/reflexerpayback.md).

# ReflexerPayback

### Description

Payback rai debt for a reflexer safe

### Action ID

`0xb7460335`

### SDK Action

```ts
const reflexerPaybackAction = new dfs.actions.reflexer.ReflexerPaybackAction(
    safeId,
    amount,
    from
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param safeId Id of the safe
    /// @param amount Amount of rai to be paid back
    /// @param from Address which will send the rai
    struct Params {
        uint256 safeId;
        uint256 amount;
        address from;
    }
```

### Return Value

```solidity
return bytes32(repayAmount);
```

### Events and Logs

```solidity
emit ActionEvent("ReflexerPayback", logData);
logger.logActionDirectEvent("ReflexerPayback", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/reflexer/reflexerpayback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
